Fare rules are the conditions and restrictions that apply to any booking based on its fare type. These determine the price of the fare.
Generally, less expensive fares have more restrictions and more expensive fares have fewer restrictions.
Fare rules can include blackout dates, advanced reservation requirements, minimum and maximum stay requirements, and cancellation and change penalties.
Value from Search response in CatalogProductOffering/ProductBrandOptions/ProductBrandOffering/Product/productRef for the product to return fare rules for.
Fare rules can be requested for one and only one product per request, using the productIDs query parameter.
Multiple product IDs are not supported when requested after Search.
Send only if requesting structured fare rules. If fareRuleType=Structured and fareRuleCategories is not sent, all structured fare rules are returned.
Supported values; only Penalties is supported for NDC:
AdvanceReservationTicketing
MinimumStay
MaximumStay
Stopovers
Penalties
- https://api.pp.travelport.net/11https://api.pp.travelport.net/11/air/farerule/farerules/fromcatalogproductofferings
- https://api.travelport.net/11https://api.travelport.net/11/air/farerule/farerules/fromcatalogproductofferings
curl -i -X GET \
'https://api.pp.travelport.net/11/air/farerule/farerules/fromcatalogproductofferings?catalogProductOfferingsIdentifier=49f58f5f-c443-43b4-9f5d-be405fd00a01&catalogProductOfferingID=cpo_01234&productBrandOfferingIDs=49f58f5f-c443-43b4-9f5d-be405fd00a01&productIDs=%5B%22product_1%22%5D&flightIDs=%5B%22flight_1%22%5D&fareRuleCategories=%5B%22Penalties%22%5D&fareRuleType=Structured' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'TVP-PCC-Core: DU7_1G' \
-H 'TraceId: TraceID_123456789' \
-H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
-H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01'{ "FareRuleListResponse": { "@type": "FareRuleListResponse", "FareRule": [ null ], "transactionId": "6570ed7b-89fe-4334-9c78-af282a977ba6", "traceId": "c009a53c-48f6-4084-b7b6-3043fa9fec67", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "ReferenceList": [ null ] } }